[@bigcommerce/checkout-sdk](../README.md) / ConsignmentCouponDiscount

# Interface: ConsignmentCouponDiscount

## Hierarchy

- [`ConsignmentDiscountBase`](ConsignmentDiscountBase.md)\<``"COUPON"``\>

  ↳ **`ConsignmentCouponDiscount`**

## Table of contents

### Properties

- [amount](ConsignmentCouponDiscount.md#amount)
- [couponCode](ConsignmentCouponDiscount.md#couponcode)
- [couponId](ConsignmentCouponDiscount.md#couponid)
- [id](ConsignmentCouponDiscount.md#id)
- [type](ConsignmentCouponDiscount.md#type)

## Properties

### amount

• **amount**: `number`

#### Inherited from

[ConsignmentDiscountBase](ConsignmentDiscountBase.md).[amount](ConsignmentDiscountBase.md#amount)

___

### couponCode

• **couponCode**: `string`

___

### couponId

• **couponId**: `number`

___

### id

• **id**: `number`

#### Inherited from

[ConsignmentDiscountBase](ConsignmentDiscountBase.md).[id](ConsignmentDiscountBase.md#id)

___

### type

• **type**: ``"COUPON"``

#### Inherited from

[ConsignmentDiscountBase](ConsignmentDiscountBase.md).[type](ConsignmentDiscountBase.md#type)
